Skip to main content
`Ctrl`+`K`

# PEPSTOARGetLinearization

Returns the coefficients that define the linearization of a quadratic eigenproblem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARGetLinearization(PEP pep,PetscReal *alpha,PetscReal *beta)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- alpha - the first parameter of the linearization

- beta - the second parameter of the linearization

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSTOAR`, `PEPSTOARSetLinearization()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Examples

src/pep/tutorials/ex40.c

## Implementations

PEPSTOARGetLinearization_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages